Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004315 [JEDI VCL] 00 JVCL Components minor always 2007-12-13 03:55 2007-12-16 08:01
Reporter roku View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0004315: TJvCheckTreeView: Checkmark is not drawn correctly + FIX
Description See the attached demo program.

To reproduce the problem:
1. Start the demo program
2. Press space bar
3. A message dialog will apear, indicating that the node has been checked
4. Click away the message (OK)
5. The checkmark disappears
Additional Information I fixed this bug by subclassing TJvCheckTreeView and overriding the KeyDown procedure:

procedure TMyCheckTreeView.KeyDown(var Key: Word; Shift: TShiftState);
begin
  inherited KeyDown(Key, Shift);

  // VK_SPACE is always handled by the component, so reset the Key variable to 0
  if(Key = VK_SPACE) then
    Key := 0;
end;

I think the fix (setting Key to 0) should be incorporated in JvCheckTreeview.pas.
Tags No tags attached.
Attached Files zip file icon TJvCheckTreeView bug.zip [^] (7,038 bytes) 2007-12-13 03:55

- Relationships

-  Notes
(0014059)
AHUser (developer)
2007-12-16 08:01

Fixed in SVN

- Issue History
Date Modified Username Field Change
2007-12-13 03:55 roku New Issue
2007-12-13 03:55 roku File Added: TJvCheckTreeView bug.zip
2007-12-14 03:55 roku Issue Monitored: roku
2007-12-16 08:01 AHUser Status new => resolved
2007-12-16 08:01 AHUser Fixed in Version => Daily / SVN
2007-12-16 08:01 AHUser Resolution open => fixed
2007-12-16 08:01 AHUser Assigned To => AHUser
2007-12-16 08:01 AHUser Note Added: 0014059


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker